UbuntuUpdates.org

Package "pygments"

Name: pygments

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • documentation for the Pygments

Latest version: 2.7.1+dfsg-2ubuntu1
Release: hirsute (21.04)
Level: base
Repository: universe

Links



Other versions of "pygments" in Hirsute

Repository Area Version
base main 2.7.1+dfsg-2ubuntu1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 2.7.1+dfsg-2ubuntu1 2021-04-08 12:07:29 UTC

  pygments (2.7.1+dfsg-2ubuntu1) hirsute; urgency=medium

  * SECURITY UPDATE: more denial of service issues in regular expressions
    - debian/patches/CVE-2021-27291.patch: fix several exponential/cubic
      complexity regexes in pygments/lexers/archetype.py,
      pygments/lexers/factor.py, pygments/lexers/jvm.py,
      pygments/lexers/matlab.py, pygments/lexers/objective.py,
      pygments/lexers/templates.py, pygments/lexers/varnish.py.
    - CVE-2021-27291

 -- Marc Deslauriers <email address hidden> Tue, 30 Mar 2021 13:42:14 -0400

CVE-2021-27291 In pygments 1.1+, fixed in 2.7.4, the lexers used to parse programming languages rely heavily on regular expressions. Some of the regular expressions



About   -   Send Feedback to @ubuntu_updates